Get All Versions of an Object
Description
This API allows you to get all the versions of the object stored in a bucket. The Bucket is referred by its unique bucket name, and the required object is referred using its name.
Request Details
Request URL
{api-domain}/baas/v1/project/{project_id}/bucket/objects/versions
Query Parameters
Request Headers
Authorization: Zoho-oauthtoken {oauth_token}
Optional Headers
CATALYST-ORG: {org_id}
Environment: Development
Scope
ZohoCatalyst.buckets.objects.READ
Response Details
On successful execution, the response will contain the list of details of all the versions of the required object.
curl -X GET https://api.catalyst.zoho.com/baas/v1/project/10108000003823392/bucket/objects/versions?bucket_name=zylker-bucket&object_key=sampleimage&max_versions=10&continuation_token=Sg43ou34rd2bih223oc8csc/
-H “Authorization: Zoho-oauthtoken 1000.910*************************16.2f*************************57”
{
"status": "success",
"data": {
"truncated": true,
"key": "Automl_LZ (1).csv",
"versions_count": 2,
"max_versions": 2,
"is_truncated": true,
"next_continuation_token": "97tn3xP3te66VpfVwVJwtDAgouBKVNhGAV6jzGY6DMdX6hcJmwJKbFX3unakGdfKfJ",
"version": [
{
"latest": true,
"version_id": "01hh9hkfdf07y8pnpbwtkt8cf7",
"is_latest": true,
"last_modified": "Dec 10, 2023 03:10 PM",
"size": 257,
"etag": "223a363af39a49d4b32f6cdf0c569755"
},
{
"latest": false,
"version_id": "01hh9hjtge85k1fx2yp1kg8r2q",
"is_latest": false,
"last_modified": "Dec 10, 2023 03:10 PM",
"size": 257,
"etag": "223a363af39a49d4b32f6cdf0c569755"
}
]
}
}
Yes
No
Send your feedback to us